> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Invoices

> List all invoices. balance and balanceVersion are returned only for FINAL and SENT invoices that already have a ledger balance. An absent balance means it is unavailable, never that the invoice is settled.



## OpenAPI

````yaml invoices.latest.product.live GET /invoices
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Invoices
  - name: Invoice Settings
  - name: Credit Note Line Items
  - name: Credit Notes
  - name: Invoice Line Items
paths:
  /invoices:
    servers: []
    parameters: []
    get:
      tags:
        - Invoices
      summary: List all Invoices
      description: >-
        List all invoices. balance and balanceVersion are returned only for
        FINAL and SENT invoices that already have a ledger balance. An absent
        balance means it is unavailable, never that the invoice is settled.
      operationId: getInvoices
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
            format: int32
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
        - name: sortBy
          in: query
          description: >-
            Sort column. Default: creation time. Options:
            CUSTOMER_LEGAL_COMPANY_NAME, GROSS_TOTAL, ACCOUNTING_DATE, DUE_DATE,
            ISSUE_DATE
          required: false
          schema:
            type: string
        - name: invoiceStatus
          in: query
          description: >-
            Filter by invoice status. Options: IN_PROGRESS, DRAFT, FINAL, SENT,
            VOIDED
          required: false
          schema:
            type: string
        - name: invoicePaymentStatus
          in: query
          description: >-
            Filter by payment status. Options: UNPAID, PARTIALLY_PAID, PAID,
            UNCOLLECTIBLE
          required: false
          schema:
            type: string
        - name: customerId
          in: query
          description: Filter by customer id.
          required: false
          schema:
            type: string
        - name: billingScheduleId
          in: query
          description: Filter by billing schedule id.
          required: false
          schema:
            type: string
        - name: dueBefore
          in: query
          description: 'Filter by due date before. Format: yyyy-MM-dd'
          required: false
          schema:
            type: string
        - name: dueAfter
          in: query
          description: 'Filter by due date after. Format: yyyy-MM-dd'
          required: false
          schema:
            type: string
        - name: sentBefore
          in: query
          description: 'Filter by sent date before. Format: yyyy-MM-dd'
          required: false
          schema:
            type: string
        - name: sentAfter
          in: query
          description: 'Filter by sent date after. Format: yyyy-MM-dd'
          required: false
          schema:
            type: string
        - name: invoiceBefore
          in: query
          description: 'Filter by invoice date before. Format: yyyy-MM-dd'
          required: false
          schema:
            type: string
        - name: invoiceAfter
          in: query
          description: 'Filter by invoice date after. Format: yyyy-MM-dd'
          required: false
          schema:
            type: string
        - name: billingPeriodBefore
          in: query
          description: >-
            Filter by billing period ending on or before this date. Format:
            yyyy-MM-dd
          required: false
          schema:
            type: string
            format: date
        - name: billingPeriodAfter
          in: query
          description: >-
            Filter by billing period starting on or after this date. Format:
            yyyy-MM-dd
          required: false
          schema:
            type: string
            format: date
        - name: excludeZeroQuantity
          in: query
          description: Exclude invoices with zero quantity.
          required: false
          schema:
            type: boolean
        - name: invoiceCurrency
          in: query
          description: >-
            Get invoices for a specific currency (provide a comma-separated
            list)
          required: false
          schema:
            type: string
        - name: search
          in: query
          description: Search invoices by invoice number (partial, case-insensitive match)
          required: false
          schema:
            type: string
        - name: invoiceNumber
          in: query
          description: Filter by invoice number
          required: false
          schema:
            type: string
        - name: netTotal
          in: query
          description: Filter by net total amount
          required: false
          schema:
            type: number
        - name: excludeInvoiceStatus
          in: query
          description: >-
            Exclude invoices with these statuses. Options: IN_PROGRESS, DRAFT,
            FINAL, SENT, VOIDED
          required: false
          schema:
            type: string
        - name: excludeInvoicePaymentStatus
          in: query
          description: >-
            Exclude invoices with these payment statuses. Options: UNPAID,
            PARTIALLY_PAID, PAID, UNCOLLECTIBLE
          required: false
          schema:
            type: string
        - name: excludeCustomerId
          in: query
          description: Exclude invoices for these customer ids.
          required: false
          schema:
            type: string
        - name: excludeBillingScheduleId
          in: query
          description: Exclude invoices for these billing schedule ids.
          required: false
          schema:
            type: string
        - name: excludeInvoiceCurrency
          in: query
          description: >-
            Exclude invoices for these currencies (provide a comma-separated
            list)
          required: false
          schema:
            type: string
        - name: excludeInvoiceNumber
          in: query
          description: Exclude invoices with these invoice numbers
          required: false
          schema:
            type: string
        - name: excludeNetTotal
          in: query
          description: Exclude invoices with this exact net total amount
          required: false
          schema:
            type: number
        - name: excludeSearch
          in: query
          description: >-
            Exclude invoices whose invoice number contains this (partial,
            case-insensitive match)
          required: false
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListInvoiceEndpointListInvoicePaginatedResponseModel
                example:
                  items:
                    - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
                      sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
                      status: SENT
                      currency: GBP
                      invoiceNumber: INV2
                      dueDate: '2022-11-05'
                      purchaseOrderNumber: PO123
                      reference: ref
                      customerEmails:
                        - customer@example.com
                      customerLegalCompanyName: Facebook
                      customerBillingAddress:
                        line1: Flat 1
                        line2: 15 Yemen Road
                        town: Yemen
                        state: CA
                        postcode: YE1 2YE
                        country: YE
                      customerShippingAddress:
                        line1: 742 Evergreen Terrace
                        line2: ''
                        town: Springfield
                        state: CA
                        postcode: '12345'
                        country: US
                      memo: Thanks
                      paymentOptions:
                        - BANK_TRANSFER
                      billingPeriod:
                        start: '2022-10-01'
                        endInclusive: '2022-10-30'
                      customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
                      totalTax: '2'
                      netTotal: '12'
                      grossTotal: '10'
                      balance: '10'
                      balanceVersion: 0
                      appliedCreditGrantTotal: '0.00'
                      metadata:
                        - key: example-label
                          value: label-value
                      paymentStatus: UNPAID
                      createdAt: '2022-10-30T00:00:00Z'
                      creditNoteIds:
                        - 941272d1-f840-4e16-b698-0cd455c81e0e
                      linkedServices:
                        - externalId: ID
                          externalService: Xero
                          syncTime: '2022-06-28T16:47:00Z'
                          externalUrl: >-
                            https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
                      merchantDetails:
                        address:
                          line1: Flat 1
                          line2: 123 Fake Street
                          town: New York
                          state: NY
                          postcode: AB1 2EF
                          country: US
                        phoneNumber: '0800001066'
                        email: donald@example.com
                        taxId: TAX
                        iban: GB33BUKB20201555555555
                        ukAccountDetails:
                          sortCode: '123456'
                          accountNumber: '12345678'
                        usAchDetails:
                          accountNumber: '12345678'
                          accountName: John Doe
                          bankName: Chase
                          bankRoutingNumber: '123456789'
                        usWireDetails:
                          accountNumber: '12345678'
                          accountName: John Doe
                          bankName: Chase
                          bankRoutingNumber: '123456789'
                          swiftCode: CHASUS33
                          bankAddress:
                            line1: JP Morgan Chase
                            town: New York City
                            state: NY
                            postcode: '10017'
                            country: US
                        swedishBankgiroDestination:
                          bankgiroNumber: 123-4567
                          accountName: The Merchant
                        legalCompanyName: The Merchant
                        customFields: []
                        includeBeneficiaryAddressInPaymentDetails: false
                      accountingDate: '2022-10-05'
                      customerTaxStatus: TAXED
                      renderSettings:
                        paymentLinkDisplay: HIDE_PAYMENT_LINK
                      isCustomerArchived: false
                      updatedAt: '2022-10-30T00:00:00Z'
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListInvoiceEndpointListInvoicePaginatedResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
                        sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
                        status: SENT
                        currency: GBP
                        invoiceNumber: INV2
                        dueDate: '2022-11-05'
                        purchaseOrderNumber: PO123
                        reference: ref
                        customerEmails:
                          - customer@example.com
                        customerLegalCompanyName: Facebook
                        customerBillingAddress:
                          line1: Flat 1
                          line2: 15 Yemen Road
                          town: Yemen
                          state: CA
                          postcode: YE1 2YE
                          country: YE
                        customerShippingAddress:
                          line1: 742 Evergreen Terrace
                          line2: ''
                          town: Springfield
                          state: CA
                          postcode: '12345'
                          country: US
                        memo: Thanks
                        paymentOptions:
                          - BANK_TRANSFER
                        billingPeriod:
                          start: '2022-10-01'
                          endInclusive: '2022-10-30'
                        customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
                        totalTax: '2'
                        netTotal: '12'
                        grossTotal: '10'
                        balance: '10'
                        balanceVersion: 0
                        appliedCreditGrantTotal: '0.00'
                        metadata:
                          - key: example-label
                            value: label-value
                        paymentStatus: UNPAID
                        createdAt: '2022-10-30T00:00:00Z'
                        creditNoteIds:
                          - 941272d1-f840-4e16-b698-0cd455c81e0e
                        linkedServices:
                          - externalId: ID
                            externalService: Xero
                            syncTime: '2022-06-28T16:47:00Z'
                            externalUrl: >-
                              https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
                        merchantDetails:
                          address:
                            line1: Flat 1
                            line2: 123 Fake Street
                            town: New York
                            state: NY
                            postcode: AB1 2EF
                            country: US
                          phoneNumber: '0800001066'
                          email: donald@example.com
                          taxId: TAX
                          iban: GB33BUKB20201555555555
                          ukAccountDetails:
                            sortCode: '123456'
                            accountNumber: '12345678'
                          usAchDetails:
                            accountNumber: '12345678'
                            accountName: John Doe
                            bankName: Chase
                            bankRoutingNumber: '123456789'
                          usWireDetails:
                            accountNumber: '12345678'
                            accountName: John Doe
                            bankName: Chase
                            bankRoutingNumber: '123456789'
                            swiftCode: CHASUS33
                            bankAddress:
                              line1: JP Morgan Chase
                              town: New York City
                              state: NY
                              postcode: '10017'
                              country: US
                          swedishBankgiroDestination:
                            bankgiroNumber: 123-4567
                            accountName: The Merchant
                          legalCompanyName: The Merchant
                          customFields: []
                          includeBeneficiaryAddressInPaymentDetails: false
                        accountingDate: '2022-10-05'
                        customerTaxStatus: TAXED
                        renderSettings:
                          paymentLinkDisplay: HIDE_PAYMENT_LINK
                        isCustomerArchived: false
                        updatedAt: '2022-10-30T00:00:00Z'
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListInvoiceEndpointListInvoicePaginatedResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
            sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
            status: SENT
            currency: GBP
            invoiceNumber: INV2
            dueDate: '2022-11-05'
            purchaseOrderNumber: PO123
            reference: ref
            customerEmails:
              - customer@example.com
            customerLegalCompanyName: Facebook
            customerBillingAddress:
              line1: Flat 1
              line2: 15 Yemen Road
              town: Yemen
              state: CA
              postcode: YE1 2YE
              country: YE
            customerShippingAddress:
              line1: 742 Evergreen Terrace
              line2: ''
              town: Springfield
              state: CA
              postcode: '12345'
              country: US
            memo: Thanks
            paymentOptions:
              - BANK_TRANSFER
            billingPeriod:
              start: '2022-10-01'
              endInclusive: '2022-10-30'
            customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
            totalTax: '2'
            netTotal: '12'
            grossTotal: '10'
            balance: '10'
            balanceVersion: 0
            appliedCreditGrantTotal: '0.00'
            metadata:
              - key: example-label
                value: label-value
            paymentStatus: UNPAID
            createdAt: '2022-10-30T00:00:00Z'
            creditNoteIds:
              - 941272d1-f840-4e16-b698-0cd455c81e0e
            linkedServices:
              - externalId: ID
                externalService: Xero
                syncTime: '2022-06-28T16:47:00Z'
                externalUrl: >-
                  https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
            merchantDetails:
              address:
                line1: Flat 1
                line2: 123 Fake Street
                town: New York
                state: NY
                postcode: AB1 2EF
                country: US
              phoneNumber: '0800001066'
              email: donald@example.com
              taxId: TAX
              iban: GB33BUKB20201555555555
              ukAccountDetails:
                sortCode: '123456'
                accountNumber: '12345678'
              usAchDetails:
                accountNumber: '12345678'
                accountName: John Doe
                bankName: Chase
                bankRoutingNumber: '123456789'
              usWireDetails:
                accountNumber: '12345678'
                accountName: John Doe
                bankName: Chase
                bankRoutingNumber: '123456789'
                swiftCode: CHASUS33
                bankAddress:
                  line1: JP Morgan Chase
                  town: New York City
                  state: NY
                  postcode: '10017'
                  country: US
              swedishBankgiroDestination:
                bankgiroNumber: 123-4567
                accountName: The Merchant
              legalCompanyName: The Merchant
              customFields: []
              includeBeneficiaryAddressInPaymentDetails: false
            accountingDate: '2022-10-05'
            customerTaxStatus: TAXED
            renderSettings:
              paymentLinkDisplay: HIDE_PAYMENT_LINK
            isCustomerArchived: false
            updatedAt: '2022-10-30T00:00:00Z'
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Invoices
          example:
            - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
              sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
              status: SENT
              currency: GBP
              invoiceNumber: INV2
              dueDate: '2022-11-05'
              purchaseOrderNumber: PO123
              reference: ref
              customerEmails:
                - customer@example.com
              customerLegalCompanyName: Facebook
              customerBillingAddress:
                line1: Flat 1
                line2: 15 Yemen Road
                town: Yemen
                state: CA
                postcode: YE1 2YE
                country: YE
              customerShippingAddress:
                line1: 742 Evergreen Terrace
                line2: ''
                town: Springfield
                state: CA
                postcode: '12345'
                country: US
              memo: Thanks
              paymentOptions:
                - BANK_TRANSFER
              billingPeriod:
                start: '2022-10-01'
                endInclusive: '2022-10-30'
              customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
              totalTax: '2'
              netTotal: '12'
              grossTotal: '10'
              balance: '10'
              balanceVersion: 0
              appliedCreditGrantTotal: '0.00'
              metadata:
                - key: example-label
                  value: label-value
              paymentStatus: UNPAID
              createdAt: '2022-10-30T00:00:00Z'
              creditNoteIds:
                - 941272d1-f840-4e16-b698-0cd455c81e0e
              linkedServices:
                - externalId: ID
                  externalService: Xero
                  syncTime: '2022-06-28T16:47:00Z'
                  externalUrl: >-
                    https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
              merchantDetails:
                address:
                  line1: Flat 1
                  line2: 123 Fake Street
                  town: New York
                  state: NY
                  postcode: AB1 2EF
                  country: US
                phoneNumber: '0800001066'
                email: donald@example.com
                taxId: TAX
                iban: GB33BUKB20201555555555
                ukAccountDetails:
                  sortCode: '123456'
                  accountNumber: '12345678'
                usAchDetails:
                  accountNumber: '12345678'
                  accountName: John Doe
                  bankName: Chase
                  bankRoutingNumber: '123456789'
                usWireDetails:
                  accountNumber: '12345678'
                  accountName: John Doe
                  bankName: Chase
                  bankRoutingNumber: '123456789'
                  swiftCode: CHASUS33
                  bankAddress:
                    line1: JP Morgan Chase
                    town: New York City
                    state: NY
                    postcode: '10017'
                    country: US
                swedishBankgiroDestination:
                  bankgiroNumber: 123-4567
                  accountName: The Merchant
                legalCompanyName: The Merchant
                customFields: []
                includeBeneficiaryAddressInPaymentDetails: false
              accountingDate: '2022-10-05'
              customerTaxStatus: TAXED
              renderSettings:
                paymentLinkDisplay: HIDE_PAYMENT_LINK
              isCustomerArchived: false
              updatedAt: '2022-10-30T00:00:00Z'
          items:
            $ref: '#/components/schemas/Invoice'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    Invoice:
      required:
        - accountingDate
        - createdAt
        - creditNoteIds
        - currency
        - customerBillingAddress
        - customerEmails
        - customerId
        - customerLegalCompanyName
        - customerShippingAddress
        - grossTotal
        - id
        - isCustomerArchived
        - linkedServices
        - metadata
        - netTotal
        - paymentStatus
        - renderSettings
        - sequenceAccountId
        - status
        - totalTax
        - updatedAt
      type: object
      example:
        id: ba37a392-7054-4dae-ab37-6fee9e23fe06
        sequenceAccountId: af9b5988-1d7b-45f6-a188-326df5e59b24
        status: DRAFT
        currency: GBP
        invoiceNumber: INV2
        dueDate: '2022-11-05'
        purchaseOrderNumber: PO123
        reference: ref
        customerEmails:
          - customer@example.com
        customerLegalCompanyName: Facebook
        customerBillingAddress:
          line1: Flat 1
          line2: 15 Yemen Road
          town: Yemen
          state: CA
          postcode: YE1 2YE
          country: YE
        customerShippingAddress:
          line1: 742 Evergreen Terrace
          line2: ''
          town: Springfield
          state: CA
          postcode: '12345'
          country: US
        memo: Thanks
        paymentOptions:
          - BANK_TRANSFER
        billingPeriod:
          start: '2022-10-01'
          endInclusive: '2022-10-30'
        customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
        totalTax: '2'
        netTotal: '12'
        grossTotal: '10'
        metadata:
          - key: example-label
            value: label-value
        paymentStatus: UNPAID
        createdAt: '2022-10-30T00:00:00Z'
        creditNoteIds:
          - 941272d1-f840-4e16-b698-0cd455c81e0e
        linkedServices:
          - externalId: ID
            externalService: Xero
            syncTime: '2022-06-28T16:47:00Z'
            externalUrl: >-
              https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
        merchantDetails:
          address:
            line1: Flat 1
            line2: 123 Fake Street
            town: New York
            state: NY
            postcode: AB1 2EF
            country: US
          phoneNumber: '0800001066'
          email: donald@example.com
          taxId: TAX
          iban: GB33BUKB20201555555555
          ukAccountDetails:
            sortCode: '123456'
            accountNumber: '12345678'
          usAchDetails:
            accountNumber: '12345678'
            accountName: John Doe
            bankName: Chase
            bankRoutingNumber: '123456789'
          usWireDetails:
            accountNumber: '12345678'
            accountName: John Doe
            bankName: Chase
            bankRoutingNumber: '123456789'
            swiftCode: CHASUS33
            bankAddress:
              line1: JP Morgan Chase
              town: New York City
              state: NY
              postcode: '10017'
              country: US
          swedishBankgiroDestination:
            bankgiroNumber: 123-4567
            accountName: The Merchant
          legalCompanyName: The Merchant
          customFields: []
          includeBeneficiaryAddressInPaymentDetails: false
        accountingDate: '2022-10-05'
        customerTaxStatus: TAXED
        renderSettings:
          paymentLinkDisplay: HIDE_PAYMENT_LINK
        isCustomerArchived: false
        updatedAt: '2022-10-30T00:00:00Z'
      properties:
        id:
          type: string
          description: Invoice ID
          example: ba37a392-7054-4dae-ab37-6fee9e23fe06
        sequenceAccountId:
          type: string
          description: Sequence Account ID
          example: af9b5988-1d7b-45f6-a188-326df5e59b24
        status:
          $ref: '#/components/schemas/InvoiceStatus'
          description: Invoice status
        currency:
          $ref: '#/components/schemas/Currency'
          description: Invoice currency
        invoiceNumber:
          type: string
          description: Invoice number
          nullable: true
          example: INV2
        dueDate:
          type: string
          description: Due date
          nullable: true
          example: '2022-11-05'
        purchaseOrderNumber:
          type: string
          description: Purchase order number
          nullable: true
          example: PO123
        reference:
          type: string
          description: Reference
          nullable: true
          example: ref
        customerEmails:
          type: array
          description: Customer email addresses, used for sending the Invoice if provided
          example:
            - customer@example.com
          items:
            type: string
        customerLegalCompanyName:
          type: string
          description: Customer's legal company name
          example: Facebook
        customerBillingAddress:
          $ref: '#/components/schemas/Address'
        customerShippingAddress:
          $ref: '#/components/schemas/Address'
        memo:
          type: string
          description: Invoice memo
          nullable: true
          example: Thanks
        paymentOptions:
          type: array
          description: Invoice payment options
          nullable: true
          example:
            - BANK_TRANSFER
          items:
            $ref: '#/components/schemas/InvoicePaymentOption'
        billingPeriod:
          $ref: '#/components/schemas/InclusiveDateRange'
          nullable: true
        customerId:
          type: string
          description: The ID of the Customer this invoice is linked to
          example: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
        totalTax:
          type: string
          description: Total tax, in decimal format of the Invoice's currency
          example: '2'
        netTotal:
          type: string
          description: Net total, in decimal format of the Invoice's currency
          example: '12'
        grossTotal:
          type: string
          description: Gross total, in decimal format of the Invoice's currency
          example: '10'
        metadata:
          type: array
          description: >-
            Mapping of key-value pairs to attach to the Invoice. These are not
            interpreted by Sequence; they are present for your use alone.
          example:
            - key: example-label
              value: label-value
          items:
            $ref: '#/components/schemas/KeyValuePair'
        paymentStatus:
          $ref: '#/components/schemas/InvoicePaymentStatus'
          description: Invoice payment status
        createdAt:
          type: string
          description: Creation time
          example: '2022-10-30T00:00:00Z'
        creditNoteIds:
          type: array
          description: IDs of linked credit notes (if any)
          example:
            - 941272d1-f840-4e16-b698-0cd455c81e0e
          items:
            type: string
        linkedServices:
          type: array
          description: External services which are linked to this invoice
          example:
            - externalId: ID
              externalService: Xero
              syncTime: '2022-06-28T16:47:00Z'
              externalUrl: >-
                https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
          items:
            $ref: '#/components/schemas/LinkInfo'
        merchantDetails:
          $ref: '#/components/schemas/InvoiceMerchantDetails'
          nullable: true
        accountingDate:
          type: string
          description: Accounting date
          example: '2022-10-05'
        customerTaxStatus:
          $ref: '#/components/schemas/TaxStatus'
          description: Customer tax status
          nullable: true
        renderSettings:
          $ref: '#/components/schemas/InvoiceRenderSettingsInlineAggregate'
        isCustomerArchived:
          type: boolean
          example: false
        updatedAt:
          type: string
          description: Last updated time
          example: '2022-10-30T00:00:00Z'
        billingScheduleId:
          type: string
          description: Billing Schedule ID
          nullable: true
          example: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
        issueDate:
          type: string
          description: Issue date
          nullable: true
          example: '2022-09-15'
        customerTaxId:
          type: string
          description: Customer's tax ID
          nullable: true
          example: TAX123
        creditBalances:
          type: string
          description: Credit balances
          nullable: true
          example: 'Verification 2 credit balance: 7/7 (expiring on 4 May 2023)'
        dunningStatus:
          $ref: '#/components/schemas/InvoiceDunningStatus'
          description: Dunning status
          nullable: true
        calculatedAt:
          type: string
          description: >-
            Time this invoice was last calculated (applicable for invoices
            generated by billing engine only)
          nullable: true
          example: '2022-09-30T00:00:00Z'
        balance:
          type: string
          description: >-
            Outstanding ledger balance on list responses for FINAL or SENT
            invoices. Omitted when unavailable or not applicable; absence does
            not mean zero.
          nullable: true
          example: '10'
        balanceVersion:
          type: integer
          description: >-
            Version of the outstanding ledger balance. Omitted when no balance
            is returned.
          format: int64
          nullable: true
          example: 0
        appliedCreditGrantTotal:
          type: string
          description: >-
            The total amount covered by credit grants, including associated tax,
            in the invoice's currency. Excludes payments and credit notes.
            Returns zero when no credit grants have been applied. Returned only
            by GET /invoices and GET /invoices/list-summary.
          nullable: true
          example: '0.00'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          nullable: true
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          nullable: true
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          nullable: true
          example: 10
    InvoiceStatus:
      type: string
      example: SENT
      enum:
        - IN_PROGRESS
        - DRAFT
        - FINAL
        - SENT
        - VOIDED
    Currency:
      type: string
      example: GBP
      enum:
        - AED
        - ARS
        - AUD
        - BRL
        - BGN
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CZK
        - DKK
        - EGP
        - EUR
        - GBP
        - HKD
        - ILS
        - INR
        - ISK
        - JPY
        - KRW
        - MXN
        - NOK
        - NZD
        - PLN
        - SAR
        - SEK
        - SGD
        - THB
        - USD
        - UYU
        - ZAR
    Address:
      required:
        - country
        - line1
        - postcode
        - town
      type: object
      description: Customer's billing address
      example:
        line1: Flat 1
        line2: 15 Yemen Road
        town: Yemen
        state: CA
        postcode: YE1 2YE
        country: YE
      properties:
        line1:
          type: string
          description: Address line 1
          example: Flat 1
        line2:
          type: string
          description: Address line 2
          nullable: true
          example: 15 Yemen Road
        town:
          type: string
          description: Town or city
          example: Yemen
        state:
          $ref: '#/components/schemas/State'
          description: State or province (required for USA and Canada)
          nullable: true
        postcode:
          type: string
          description: Postal code
          example: YE1 2YE
        country:
          $ref: '#/components/schemas/CountryCode'
          description: >-
            Country. Request values can be an ISO 3166-1 alpha-2 code such as
            `GB`
            ([list](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes)),
            an alpha-3 code such as `GBR`, a country name or a common alias
            ("United Kingdom", "UK"), in any case. Response values always use
            the alpha-2 code.
    InvoicePaymentOption:
      type: string
      example: BANK_TRANSFER
      enum:
        - BANK_TRANSFER
        - LINK
    InclusiveDateRange:
      required:
        - endInclusive
        - start
      type: object
      description: Billing period
      example:
        start: '2022-10-01'
        endInclusive: '2022-10-30'
      properties:
        start:
          type: string
          description: Start date, included in the whole range
          example: '2022-10-01'
        endInclusive:
          type: string
          description: End date, included in the whole range
          example: '2022-10-30'
    KeyValuePair:
      required:
        - key
        - value
      type: object
      example:
        key: example-label
        value: label-value
      properties:
        key:
          type: string
          example: example-label
        value:
          type: string
          example: label-value
    InvoicePaymentStatus:
      type: string
      example: UNPAID
      enum:
        - UNPAID
        - PARTIALLY_PAID
        - PAID
        - UNCOLLECTIBLE
    LinkInfo:
      required:
        - externalId
        - externalService
        - syncTime
      type: object
      example:
        externalId: ID
        externalService: Xero
        syncTime: '2022-06-28T16:47:00Z'
        externalUrl: https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
      properties:
        externalId:
          type: string
          description: The ID of the related entity in external system
          example: ID
        externalService:
          $ref: '#/components/schemas/IntegrationService'
          description: The connected service
        syncTime:
          type: string
          description: The time that this was synced from the connected integration
          example: '2022-06-28T16:47:00Z'
        externalUrl:
          type: string
          description: External URL
          nullable: true
          example: https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
    InvoiceMerchantDetails:
      required:
        - address
        - customFields
        - email
        - includeBeneficiaryAddressInPaymentDetails
        - legalCompanyName
      type: object
      description: Merchant details
      example:
        address:
          line1: Flat 1
          line2: 123 Fake Street
          town: New York
          state: NY
          postcode: AB1 2EF
          country: US
        phoneNumber: '0800001066'
        email: donald@example.com
        taxId: TAX
        iban: GB33BUKB20201555555555
        ukAccountDetails:
          sortCode: '123456'
          accountNumber: '12345678'
        usAchDetails:
          accountNumber: '12345678'
          accountName: John Doe
          bankName: Chase
          bankRoutingNumber: '123456789'
        usWireDetails:
          accountNumber: '12345678'
          accountName: John Doe
          bankName: Chase
          bankRoutingNumber: '123456789'
          swiftCode: CHASUS33
          bankAddress:
            line1: JP Morgan Chase
            town: New York City
            state: NY
            postcode: '10017'
            country: US
        swedishBankgiroDestination:
          bankgiroNumber: 123-4567
          accountName: The Merchant
        legalCompanyName: The Merchant
        customFields: []
        includeBeneficiaryAddressInPaymentDetails: false
      properties:
        address:
          $ref: '#/components/schemas/Address'
        phoneNumber:
          type: string
          description: Merchant's phone number
          nullable: true
          example: '0800001066'
        email:
          type: string
          description: Merchant's email
          example: donald@example.com
        taxId:
          type: string
          description: Merchant's tax ID
          nullable: true
          example: TAX
        iban:
          type: string
          description: Merchant's IBAN, for receiving payment by bank transfer
          nullable: true
          example: GB33BUKB20201555555555
        ukAccountDetails:
          $ref: '#/components/schemas/SortCodeAccountNumber'
          nullable: true
        usAchDetails:
          $ref: '#/components/schemas/UsAchDestination'
          nullable: true
        usWireDetails:
          $ref: '#/components/schemas/UsWireDestination'
          nullable: true
        swedishBankgiroDestination:
          $ref: '#/components/schemas/SwedishBankgiroDestination'
          nullable: true
        legalCompanyName:
          type: string
          description: Merchant's legal company name
          example: The Merchant
        customFields:
          type: array
          description: merchantCustomFields
          example: []
          items: {}
        includeBeneficiaryAddressInPaymentDetails:
          type: boolean
          description: Include beneficiary address in payment details on invoice
          example: false
    TaxStatus:
      type: string
      example: TAXED
      enum:
        - TAXED
        - TAX_EXEMPT
        - REVERSE_CHARGED
    InvoiceRenderSettingsInlineAggregate:
      required:
        - paymentLinkDisplay
      type: object
      description: Settings that control how the invoice is rendered.
      example:
        paymentLinkDisplay: HIDE_PAYMENT_LINK
      properties:
        paymentLinkDisplay:
          $ref: '#/components/schemas/PaymentLinkDisplayOption'
          description: >-
            Payment link display preference. By default, the payment link is
            shown.
    InvoiceDunningStatus:
      type: string
      example: SCHEDULED
      enum:
        - SCHEDULED
        - OVERDUE_CHECK_SCHEDULED
        - COMPLETED
        - FAILED
        - NOT_REQUIRED
    State:
      type: string
      example: CA
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DC
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - AB
        - BC
        - MB
        - NB
        - NL
        - NS
        - NT
        - NU
        - 'ON'
        - PE
        - QC
        - SK
        - YT
    CountryCode:
      type: string
      example: YE
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - YE
        - YT
        - ZA
        - ZM
        - ZW
    IntegrationService:
      type: string
      example: Xero
      enum:
        - Amazon_Redshift
        - GoCardless
        - Google_BigQuery
        - Google_Sheets
        - HubSpot
        - NetSuite
        - QuickBooks_Online
        - Salesforce
        - Slack
        - Snowflake
        - Stripe
        - Xero
        - Avalara
        - Anrok
        - Attio
        - Numeral
        - Rillet
        - Sphere
    SortCodeAccountNumber:
      required:
        - accountNumber
        - sortCode
      type: object
      description: >-
        Merchant's UK bank account details, for receiving payment by UK bank
        transfer
      example:
        sortCode: '123456'
        accountNumber: '12345678'
      properties:
        sortCode:
          type: string
          description: UK sort code. 6 digits.
          example: '123456'
        accountNumber:
          type: string
          description: UK account number. 8 digits.
          example: '12345678'
    UsAchDestination:
      required:
        - accountName
        - accountNumber
        - bankName
        - bankRoutingNumber
      type: object
      description: Merchant's US account details, for receiving payment by ACH
      example:
        accountNumber: '12345678'
        accountName: John Doe
        bankName: Chase
        bankRoutingNumber: '123456789'
      properties:
        accountNumber:
          type: string
          example: '12345678'
        accountName:
          type: string
          example: John Doe
        bankName:
          type: string
          example: Chase
        bankRoutingNumber:
          type: string
          example: '123456789'
    UsWireDestination:
      required:
        - accountName
        - accountNumber
        - bankAddress
        - bankName
        - bankRoutingNumber
        - swiftCode
      type: object
      description: Merchant's US account details, for receiving payment by wire transfer
      example:
        accountNumber: '12345678'
        accountName: John Doe
        bankName: Chase
        bankRoutingNumber: '123456789'
        swiftCode: CHASUS33
        bankAddress:
          line1: JP Morgan Chase
          town: New York City
          state: NY
          postcode: '10017'
          country: US
      properties:
        accountNumber:
          type: string
          example: '12345678'
        accountName:
          type: string
          example: John Doe
        bankName:
          type: string
          example: Chase
        bankRoutingNumber:
          type: string
          example: '123456789'
        swiftCode:
          type: string
          example: CHASUS33
        bankAddress:
          $ref: '#/components/schemas/Address'
    SwedishBankgiroDestination:
      required:
        - accountName
        - bankgiroNumber
      type: object
      description: >-
        Merchant's Swedish Bankgiro account details, for receiving payment by
        Swedish Bankgiro
      example:
        bankgiroNumber: 123-4567
        accountName: The Merchant
      properties:
        bankgiroNumber:
          type: string
          description: >-
            Swedish Bankgiro number. 7-8 digits, formatted as 123-4567 or
            1234-5678.
          example: 123-4567
        accountName:
          type: string
          description: Account holder name
          example: The Merchant
    PaymentLinkDisplayOption:
      type: string
      example: HIDE_PAYMENT_LINK
      enum:
        - SHOW_PAYMENT_LINK
        - HIDE_PAYMENT_LINK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.